---
title: "Immoweb API: Geo | Perceptlayer"
description: "Geo from Immoweb as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/immoweb/geo
---

[APIs](https://perceptlayer.com/apis) / [Immoweb](https://perceptlayer.com/apis/immoweb) / Geo

# Immoweb: Geo

Geo from Immoweb as JSON. 1 credit per successful call.

GET `/v1/immoweb/geo`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `level` | string | Required | province, district |
| `language` | string | Optional | nl, fr, en |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/immoweb/geo?level=province&language=nl" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/immoweb?try=geo#playground) with your own parameters. 1 credit per successful call; failed calls are free.
